# Creating a new project

**Step1: Prepare Your Request**

* **Endpoint:** `/project/create-project`
* **Method:** `POST`
* **URL:** `https://api.talkstackai.com/project/create-project`
* **Headers:** Include `Content-Type: application/json`.
* **Authorization:** Bearer token or x-api-key in Headers

**Step2: Create the Request Body**

* `name`: Name of the project.
* `description`: Description of the project.

```
{
    "name": "Demo Project",
    "description": "This is a demo project."
}
```

**Step 3: Send the Request**

Use your preferred HTTP client to send the POST request with the JSON body.

**Step 4: Handle the response**

The response will provide detailed information about the new project created.

**Success Response:**

* **Status Code:** `200 OK`
* **Body:**

```json
{
    "message": "successfully created project.",
    "status": "success",
    "data": {
        "name": "John Smith Clinic",
        "user_id": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
        "status": "ACTIVE",
        "description": "",
        "call_status_webhook": null,
        "id": "xxxxxxxxxxxxxxxxxxxxxxxxxx",
        "active_agent": null,
        "created_at": null,
        "updated_at": null
    }
}
```

**Troubleshooting**

* `400 Bad Request`: If the `name`, or `description` is not there or if the project with same name already exists.
* `401 Unauthorized`: If the user is unauthorized or the token is missing.
* `500 Internal Server Error`: For errors in creating a new project.

Last updated 13 hours ago


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.talkstack.ai/project/creating-a-new-project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
